Bullet Collision Detection & Physics Library: btActivatingCollisionAlgorithm Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Protected Member Functions | List of all members
btActivatingCollisionAlgorithm Class Reference

This class is not enabled yet (work-in-progress) to more aggressively activate objects. More...

`#include <btActivatingCollisionAlgorithm.h>`

Inheritance diagram for btActivatingCollisionAlgorithm:
[legend]
Collaboration diagram for btActivatingCollisionAlgorithm:
[legend]

## Public Member Functions
virtual | ~btActivatingCollisionAlgorithm ()
Public Member Functions inherited from btCollisionAlgorithm
| btCollisionAlgorithm ()
| btCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual | ~btCollisionAlgorithm ()
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)=0

## Protected Member Functions
| btActivatingCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
| btActivatingCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)

## Additional Inherited Members
Protected Attributes inherited from btCollisionAlgorithm
btDispatcher * | m_dispatcher

## Detailed Description

This class is not enabled yet (work-in-progress) to more aggressively activate objects.

Definition at line 22 of file btActivatingCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ btActivatingCollisionAlgorithm() [1/2]

btActivatingCollisionAlgorithm::btActivatingCollisionAlgorithm | ( | const btCollisionAlgorithmConstructionInfo & | ci | ) |
| protected

Definition at line 20 of file btActivatingCollisionAlgorithm.cpp.

## ◆ btActivatingCollisionAlgorithm() [2/2]

btActivatingCollisionAlgorithm::btActivatingCollisionAlgorithm | ( | const btCollisionAlgorithmConstructionInfo & | ci,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap )
| protected

Definition at line 27 of file btActivatingCollisionAlgorithm.cpp.

## ◆ ~btActivatingCollisionAlgorithm()

btActivatingCollisionAlgorithm::~btActivatingCollisionAlgorithm | ( |  | ) |
| virtual

Definition at line 43 of file btActivatingCollisionAlgorithm.cpp.

The documentation for this class was generated from the following files:

- btActivatingCollisionAlgorithm.h
- btActivatingCollisionAlgorithm.cpp